Retrieves the job work instruction list with the specified key.
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "435a3d44-5c46-4a7a-b107-7147d8a0e8da",
"jobs_id": "29ec5f24-f73c-4449-8f73-6cf0c33b3974",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "0edf8c6c-dd2a-484d-a4be-f9b8a0f33328",
"_parent_id": "8b25b1e5-96e4-4c5a-8a91-eea6cedf17a0",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "45ef81cf-f66e-4d0e-9558-9fad75ef221a",
"project_reference_back_office": "sample string 5",
"project": {
"id": "5cdcd077-82a0-4f07-b966-cb01ac716235",
"_parent_id": "f803e572-5272-45cf-abc0-0a381472935c",
"root_parent_id": "2b499348-f4b9-4775-80e8-5628aaf7bb92",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "2bcb2460-6e07-457e-911c-4476e7e25bb7",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "2076ae24-63fb-4a81-9b6f-93083bcc7845",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "9772e287-4312-4a57-ab80-1a1539d1a232",
"_parent_code": "sample string 6",
"sales_organization_id": "ce0eaccb-eca3-476e-bac8-a71254577ccb",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "686b3dd0-507b-413f-abbb-94a459f10f52",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a00d0b8d-be24-45b1-8a26-38b615338b43",
"db_currency_id": "754bc8ff-4a58-43a3-ba4b-1846f7f2e4e2",
"db_language_id": "55736256-8c7f-4476-87f0-160b3d4e3b18",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"equipment_model_id": "67e95772-b232-47d3-be20-bcf329b0e931",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "e007daf1-d355-4975-95a3-5e296d59f65a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "76a38438-e151-4787-b035-300393215559",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "521e08d0-5059-457b-b29f-5556fe359f92",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "478a7908-fa67-430a-9473-7a0103d6ec02",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "686b3dd0-507b-413f-abbb-94a459f10f52",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a00d0b8d-be24-45b1-8a26-38b615338b43",
"db_currency_id": "754bc8ff-4a58-43a3-ba4b-1846f7f2e4e2",
"db_language_id": "55736256-8c7f-4476-87f0-160b3d4e3b18",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"modified_dateutc": "2026-11-02T04:58:14.9735281+00:00"
},
"equipment_family_id": "3e5f733e-1526-4b67-96b6-cd5d197c0e10",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "2076ae24-63fb-4a81-9b6f-93083bcc7845",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "9772e287-4312-4a57-ab80-1a1539d1a232",
"_parent_code": "sample string 6",
"sales_organization_id": "ce0eaccb-eca3-476e-bac8-a71254577ccb",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "686b3dd0-507b-413f-abbb-94a459f10f52",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a00d0b8d-be24-45b1-8a26-38b615338b43",
"db_currency_id": "754bc8ff-4a58-43a3-ba4b-1846f7f2e4e2",
"db_language_id": "55736256-8c7f-4476-87f0-160b3d4e3b18",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"date_in_production_since": "2026-11-02T04:58:14.9735281+00:00",
"date_out_of_production_since": "2026-11-02T04:58:14.9735281+00:00",
"date_end_support": "2026-11-02T04:58:14.9735281+00:00",
"sales_organization_id": "f053f08d-26a4-49fe-9066-39996658c7b5",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "686b3dd0-507b-413f-abbb-94a459f10f52",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a00d0b8d-be24-45b1-8a26-38b615338b43",
"db_currency_id": "754bc8ff-4a58-43a3-ba4b-1846f7f2e4e2",
"db_language_id": "55736256-8c7f-4476-87f0-160b3d4e3b18",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-02T04:58:14.9735281+00:00"
},
"project_status_id": "b5a20345-2751-4dd6-9e5b-fb7d83f3d38e",
"project_status_code": "sample string 10",
"project_status": {
"id": "5423d059-db52-4211-b550-2fad09c93034",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "afd27b6d-6785-49cb-8310-5be62bd0c568",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "686b3dd0-507b-413f-abbb-94a459f10f52",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a00d0b8d-be24-45b1-8a26-38b615338b43",
"db_currency_id": "754bc8ff-4a58-43a3-ba4b-1846f7f2e4e2",
"db_language_id": "55736256-8c7f-4476-87f0-160b3d4e3b18",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-02T04:58:14.9735281+00:00"
},
"company_id": "c267b0f4-fa48-4d48-9f81-ab088e058af2",
"company_code": "sample string 12",
"db_address_id": "c5e4bdc3-be50-44aa-9326-f947d0f62350",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "abe5208f-8dbd-4a14-833e-867d3e5cc0e7",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "58b56e08-4ee2-432b-9957-a27e9f2d2403",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-02T04:58:14.9735281+00:00",
"date_create": "2026-11-02T04:58:14.9735281+00:00",
"date_update": "2026-11-02T04:58:14.9735281+00:00",
"updated_by_user_id": "0c80bdae-8bbd-4bde-a0d2-5b20d21b9631",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-02T04:58:14.9735281+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-02T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-02T04:58:14.9735281+00:00",
"date_last_job": "2026-11-02T04:58:14.9735281+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-02T04:58:14.9735281+00:00",
"modified_dateutc": "2026-11-02T04:58:14.9735281+00:00",
"is_mobile_installation": true
},
"job_type_id": "16ecc72e-8c64-41c3-a17b-ca12ba116da8",
"job_type_code": "sample string 7",
"job_type": {
"id": "f2f9110f-1b88-4f16-afd9-10e8fcf3faff",
"name": "sample string 2",
"sales_organization_id": "1616a0e4-5cc7-417e-bace-d934b9da6c82",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-02T04:58:14.9735281+00:00",
"code": "sample string 7"
},
"job_priority_id": "8dd02fe9-9721-4b30-9246-61c52e2932e1",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "a598cf20-d6d1-4827-92c4-6e88a09f5c09",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "4ecc9dce-8c31-455c-b665-71528af956f6",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "686b3dd0-507b-413f-abbb-94a459f10f52",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a00d0b8d-be24-45b1-8a26-38b615338b43",
"db_currency_id": "754bc8ff-4a58-43a3-ba4b-1846f7f2e4e2",
"db_language_id": "55736256-8c7f-4476-87f0-160b3d4e3b18",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-02T04:58:14.9735281+00:00"
},
"job_status_id": "cf5d2a40-3bd1-4441-b45d-eae3cf6e99e2",
"job_status_code": "sample string 11",
"db_address_id": "a8abe50e-1135-4bd1-81ef-cf09a584b8e1",
"contact_id": "9f061fd8-f8a1-4d93-b8c8-bbb1939b91b4",
"requested_by_company_id": "ff4121da-dd63-4448-a721-fe909d487fc0",
"requested_by_contact_id": "53c1a410-c566-4996-a37a-064aa0a242d0",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-02T04:58:14.9735281+00:00",
"due_date": "2026-11-02T04:58:14.9735281+00:00",
"date_create": "2026-11-02T04:58:14.9735281+00:00",
"date_update": "2026-11-02T04:58:14.9735281+00:00",
"date_closed": "2026-11-02T04:58:14.9735281+00:00",
"suggested_user_id": "46bf5f03-0bf2-4a96-b09f-d29a0bdd32db",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "1d58dd83-04eb-4b23-9d2b-639c964030b2",
"db_language_id": "4c15e7d6-cd55-4ef7-888b-085784cdb834",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-02T04:58:14.9735281+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "1759947c-42d6-4b74-b844-d60a6f8d3acb",
"sales_organization": {
"id": "686b3dd0-507b-413f-abbb-94a459f10f52",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a00d0b8d-be24-45b1-8a26-38b615338b43",
"db_currency_id": "754bc8ff-4a58-43a3-ba4b-1846f7f2e4e2",
"db_language_id": "55736256-8c7f-4476-87f0-160b3d4e3b18",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "b47f56d3-0dd3-40ec-bd20-6d2616c38bdc",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "46820885-917d-4da6-a021-404a7e2f9086",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-02T04:58:14.9735281+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "108940ff-96fc-41ed-b161-db2f371a74db"
},
"suggested_date_start": "2026-11-02T04:58:14.9735281+00:00",
"skill_id": "9c3bbf05-2270-4311-aad6-ffb71f44dd14",
"skill_code": "sample string 32",
"skill": {
"id": "46a6fd0a-e429-45e3-a975-4fd6b64e94f3",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "56315679-4ebb-424e-99db-363d83129648",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "686b3dd0-507b-413f-abbb-94a459f10f52",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a00d0b8d-be24-45b1-8a26-38b615338b43",
"db_currency_id": "754bc8ff-4a58-43a3-ba4b-1846f7f2e4e2",
"db_language_id": "55736256-8c7f-4476-87f0-160b3d4e3b18",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:14.9577506+00:00"
},
"modified_dateutc": "2026-11-02T04:58:14.9934666+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "5f4de3f0-eff8-4024-b595-2406f9242901",
"date_reported_by_company": "2026-11-02T04:58:14.9934666+00:00",
"id2": 36,
"company_id": "66d5b9f6-4d15-49fb-a8be-9aff54b6e4c1",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "f9531f42-f1c4-421f-b346-05287e3f7cc4",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-02T04:58:14.9934666+00:00"
},
"work_instruction_details_id": "cef835b9-e99d-41b2-9077-b429635d1510",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "f4ffdbb6-96fe-4085-802f-202dfa6aef95",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "677c7cfb-6367-4b3b-be61-4115dcfd9987",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-02T04:58:14.9934666+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "7bf39f9e-d595-40b2-86b3-4811434ec080",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-02T04:58:14.9934666+00:00"
}